Si sono verificati i seguenti errori:
Warning [2] Undefined property: MyLanguage::$ratings_update_error - Line: 5 - File: showthread.php(799) : eval()'d code PHP 8.2.13 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/showthread.php(799) : eval()'d code 5 errorHandler->error_callback
/showthread.php 799 eval




Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
  Condividi: Facebook Twitter
[RISOLTO] Forzare i client apt a 'yes'
#1
Buongiorno. Avendo un sistema operativo ormai personalizzato e funzionante, mi andrebbe di realizzarne una ISO, in maniera da poter poi creare una penna usb avviabile senza dover reinstallare tutti gli applicativi, in caso di crash totale del sistema. Avrei pensato a remastersys, ma il fatto è che il terminale non permette l'esecuzione di apt da fonti considerate non sicure, e quindi disabilitate per default. Mi dice che è possibile tuttavia aggirare questo frangente:

 "Un repository che in precedenza era autenticato ma che perde il proprio
      stato in un'operazione di update genera un errore in tutti i client APT
      indipendentemente dall'opzione per permettere o proibire l'uso di
      repository non sicuri. L'errore può essere scavalcato impostando in
      aggiunta Acquire::AllowDowngradeToInsecureRepositories a true o, per
      repository individuali, con l'opzione allow-downgrade-to-insecure=yes
      per sources.list(5)." (copiato e incollato da man-apt)

D'accordo, ma quale cartella di sistema occorre aprire  per rintracciare quella chiave evidenziata in neretto? Non lo dice, avrei bisogno di una guida passo passo, perdono per la mia ignoranza.

Asus 1512, Intel Core 64, LinuxMint 21.1 xfce/kde plasma
Cita messaggio
#2
qui hai già visto?

https://askubuntu.com/questions/74345/ho...cks-of-apt
Cita messaggio
#3
purtroppo non ci capisco niente
Cita messaggio
#4
meno io ci capisco tanto, ma pare però che parli di repository dell'utente, non di sistema e mi pare di capire che tu non hai repository tuoi, ma aggiunti al sistema, repository esterni.

io su kde neon vedendo quello che indicano li ho questo in quella directory
Codice:
$ ls -al /etc/apt/apt.conf.d/
totale 76
drwxr-xr-x 2 root root 4096 ott  6 18:25 .
drwxr-xr-x 8 root root 4096 ott 16 20:51 ..
-rw-r--r-- 1 root root  630 apr  8  2022 01autoremove
-rw-r--r-- 1 root root   92 apr  8  2022 01-vendor-ubuntu
-rw-r--r-- 1 root root  129 feb 28  2023 10periodic
-rw-r--r-- 1 root root  108 feb 28  2023 15update-stamp
-rw-r--r-- 1 root root   85 feb 28  2023 20archive
-rw-r--r-- 1 root root 1037 dic  1  2022 20packagekit
-rw-r--r-- 1 root root  127 dic  1  2022 20snapd.conf
-rw-r--r-- 1 root root 2599 set  4 06:32 50appstream
-rw-r--r-- 1 root root  625 dic  8  2021 50command-not-found
-rw-r--r-- 1 root root 1362 ago 31 00:25 50neon-essentials-desktop
-rw-r--r-- 1 root root  435 set  4 06:32 60icons
-rw-r--r-- 1 root root  251 set  4 06:32 60icons-hidpi
-rw-r--r-- 1 root root  348 set  4 06:32 60icons-large
-rw-r--r-- 1 root root  253 set  4 06:32 60icons-large-hidpi
-rw-r--r-- 1 root root  182 feb 20  2022 70debconf
lrwxrwxrwx 1 root root   35 set 22 11:04 88libdvdcss-pkg -> /usr/lib/libdvd-pkg/88libdvdcss-pkg
-rw-r--r-- 1 root root   32 ott 12 17:27 99synaptic
-rw-r--r-- 1 root root  305 feb 28  2023 99update-notifier

questo comando nel terminale cosa dice?
Codice:
ls -al /etc/apt/apt.conf.d/99*
Cita messaggio
#5
Mi dà questo:

-rw-r--r-- 1 root root 305 feb 28  2023 /etc/apt/apt.conf.d/99update-notifier
Cita messaggio
#6
Non ho capito bene una cosa, ma il problema ce l'hai installando remastersys ? oppure remastersys è installato e il problema ce l'hai cercando di creare l'iso? non so nemmeno se remastersys sia supportato dalla tua distro Linux mint 21.1, anzi, credo che sia un programma ormai in disuso, in alternativa vedi qui

https://www.linuxbabe.com/ubuntu/install...linux-mint
Cita messaggio
#7
ho provato a installare sia remastersys che systemback ma entrambi non sono compatibili con le nuove versioni di ubuntu, a quanto pare di remastersys esiste il repository e installando da .deb non si riesce a installare, remastersys si installa da .deb, ma all'atto della creazione della iso da una errore di cambiamento del file system, probabilmente perchè ci sono stati dei cambiamenti nelle nuove versioni di ubuntu e quindi niente da fare.

non so se esiste qualche alternativa...
Cita messaggio
#8
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$ wget --quiet -O - https://repo.linuxbabe.com/linuxbabe-pubkey.asc | sudo tee /etc/apt/trusted.gpg.d/linuxbabe-pubkey.asc
[sudo] password for giorgio:
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$ echo "deb [signed-by=/etc/apt/trusted.gpg.d/linuxbabe-pubkey.asc arch=$( dpkg --print-architecture )] https://repo.linuxbabe.com $(lsb_release -cs) main" | sudo tee /etc/apt/sources.list.d/linuxbabe.list
deb [signed-by=/etc/apt/trusted.gpg.d/linuxbabe-pubkey.asc arch=amd64] https://repo.linuxbabe.com vera main
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$ sudo apt update
Trovato:1 http://archive.ubuntu.com/ubuntu jammy InRelease
Scaricamento di:2 http://archive.ubuntu.com/ubuntu jammy-updates InRelease [119 kB]
Ignorato:3 http://packages.linuxmint.com vera InRelease
Errore:4 https://repo.linuxbabe.com vera InRelease
526 [IP: 104.26.12.71 443]
Trovato:5 http://packages.linuxmint.com vera Release
Scaricamento di:6 http://archive.ubuntu.com/ubuntu jammy-backports InRelease [109 kB]
Scaricamento di:8 http://archive.ubuntu.com/ubuntu jammy/main Translation-it [484 kB]
Scaricamento di:9 http://archive.ubuntu.com/ubuntu jammy/restricted Translation-it [724 B]
Scaricamento di:10 http://archive.ubuntu.com/ubuntu jammy/universe Translation-it [4.245 kB]
Scaricamento di:11 http://archive.ubuntu.com/ubuntu jammy/multiverse Translation-it [24,9 kB]
Scaricamento di:12 http://archive.ubuntu.com/ubuntu jammy-updates/main i386 Packages [515 kB]
Scaricamento di:13 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 Packages [1.103 kB]
Scaricamento di:14 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 DEP-11 Metadata [101 kB]
Scaricamento di:15 http://archive.ubuntu.com/ubuntu jammy-updates/restricted i386 Packages [32,4 kB]
Scaricamento di:16 http://archive.ubuntu.com/ubuntu jammy-updates/restricted amd64 Packages [1.036 kB]
Scaricamento di:17 http://archive.ubuntu.com/ubuntu jammy-updates/universe amd64 Packages [995 kB]
Scaricamento di:18 http://archive.ubuntu.com/ubuntu jammy-updates/universe amd64 DEP-11 Metadata [305 kB]
Scaricamento di:19 http://archive.ubuntu.com/ubuntu jammy-updates/multiverse amd64 DEP-11 Metadata [940 B]
Scaricamento di:20 http://archive.ubuntu.com/ubuntu jammy-backports/main amd64 DEP-11 Metadata [4.936 B]
Scaricamento di:21 http://archive.ubuntu.com/ubuntu jammy-backports/universe amd64 DEP-11 Metadata [17,8 kB]
Scaricamento di:22 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]
Ignorato:23 http://www.geekconnection.org/remastersys/repository karmic/ InRelease
Scaricamento di:25 http://security.ubuntu.com/ubuntu jammy-security/main i386 Packages [353 kB]
Errore:24 http://www.geekconnection.org/remastersys/repository karmic/ Release
404 Not Found [IP: 173.236.229.162 80]
Scaricamento di:26 http://security.ubuntu.com/ubuntu jammy-security/main amd64 Packages [896 kB]
Scaricamento di:27 http://security.ubuntu.com/ubuntu jammy-security/main amd64 DEP-11 Metadata [43,0 kB]
Scaricamento di:28 http://security.ubuntu.com/ubuntu jammy-security/universe amd64 Packages [793 kB]
Scaricamento di:29 http://security.ubuntu.com/ubuntu jammy-security/universe amd64 DEP-11 Metadata [55,1 kB]
Ignorato:30 http://your.repo.domain/repository vera InRelease
Ignorato:30 http://your.repo.domain/repository vera InRelease
Ignorato:30 http://your.repo.domain/repository vera InRelease
Errore:30 http://your.repo.domain/repository vera InRelease
Impossibile risolvere "your.repo.domain"
Lettura elenco dei pacchetti... Fatto
E: Impossibile recuperare https://repo.linuxbabe.com/dists/vera/InRelease 526 [IP: 104.26.12.71 443]
E: Il repository "https://repo.linuxbabe.com vera InRelease" non è firmato.
N: L'aggiornamento da tale repository non può essere eseguito in modo sicuro ed è quindi disabilitato come impostazione predefinita.
N: Consultare la pagina man apt-secure(8) per la creazione di un repository e la configurazione utente.
E: Il repository "http://www.geekconnection.org/remastersys/repository karmic/ Release" non ha un file Release.
N: L'aggiornamento da tale repository non può essere eseguito in modo sicuro ed è quindi disabilitato come impostazione predefinita.
N: Consultare la pagina man apt-secure(8) per la creazione di un repository e la configurazione utente.
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$

Niente da fare, per l'appunto... pazienza, mi rassegno a non averlo. Grazie comunque per la vostra attenzione
Cita messaggio
#9
ora hai i repository incasinati, posta questi

Codice:
cat -n /etc/apt/sources.list

Codice:
ls -al /etc/apt/sources.list.d

Codice:
cat -n /etc/apt/sources.list.d/official-package-repositories.list
e
Codice:
lsb_release -ds && echo $DESKTOP_SESSION && uname -m
Cita messaggio
#10
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$ cat -n /etc/apt/sources.list
    1  #deb cdrom:[Linux Mint 21.1 _Vera_ - Release amd64 20221217]/ jammy main
    2
    3  # This system was installed using small removable media
    4  # (e.g. netinst, live or single CD). The matching "deb cdrom"
    5  # entries were disabled at the end of the installation process.
    6  # For information about how to configure apt package sources,
    7  # see the sources.list(5) manual.
    8  deb http://www.geekconnection.org/remastersys/repository karmic/
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$ ls -al /etc/apt/sources.list.d
total 20
drwxr-xr-x 2 root root 4096 ott 21 18:21 .
drwxr-xr-x 8 root root 4096 ott 10 17:27 ..
-rw-r--r-- 1 root root  108 ott 21 18:21 linuxbabe.list
-rw-r--r-- 1 root root  417 ott 17 15:24 official-package-repositories.list
-rw-r--r-- 1 root root   54 ott 10 17:21 your-repo-name.list
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$ cat -n /etc/apt/sources.list.d/official-package-repositories.list
    1  deb http://packages.linuxmint.com vera main upstream import backport  
    2
    3  deb http://archive.ubuntu.com/ubuntu jammy main restricted universe multiverse
    4  deb http://archive.ubuntu.com/ubuntu jammy-updates main restricted universe multiverse
    5  deb http://archive.ubuntu.com/ubuntu jammy-backports main restricted universe multiverse
    6
    7  deb http://security.ubuntu.com/ubuntu/ jammy-security main restricted universe multiverse
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$ lsb_release -ds && echo $DESKTOP_SESSION && uname -m
Linux Mint 21.1
plasma
x86_64
giorgio@giorgio-ASUS-P1512CEA-P1512CEA:~$  
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)